import request from '@/utils/request'

// 查询数据采集预警列表
export function listGATHERWARNING(query) {
  return request({
    url: '/gather/WARNING/list',
    method: 'get',
    params: query
  })
}

// 查询数据采集预警所有列表
export function listAllGATHERWARNING(query) {
  return request({
    url: '/gather/WARNING/listAll',
    method: 'get',
    params: query
  })
}

// 查询数据采集预警详细
export function getGATHERWARNING(id) {
  return request({
    url: '/gather/WARNING/getInfo/' + id,
    method: 'get'
  })
}

// 新增数据采集预警
export function addGATHERWARNING(data) {
  return request({
    url: '/gather/WARNING/add',
    method: 'post',
    data: data
  })
}

// 修改数据采集预警
export function updateGATHERWARNING(data) {
  return request({
    url: '/gather/WARNING/edit',
    method: 'post',
    data: data
  })
}

// 删除数据采集预警
export function delGATHERWARNING(id) {
  return request({
    url: '/gather/WARNING/remove/' + id,
    method: 'get'
  })
}

// 处理预警  解除
export function deal(id) {
  return request({
    url: '/gather/WARNING/deal/{id}' + id,
    method: 'get'
  })
}


// 取消预警
export function cancel(id) {
  return request({
    url: '/gather/WARNING/cancel/{id}' + id,
    method: 'get'
  })
}


